	case "$1" in
		--sound-volume)
			shift
			optArgs+=('-sound-volume' "$1")
			shift			
			;;
		--sound-timeshift)
			shift
			optArgs+=('-sound-timeshift' "$1")
			shift			
			;;
		--sound-timefactor)
			shift
			optArgs+=('-sound-timefactor' "$1")
			shift
			;;
		--ext-sound)
			shift
			optArgs+=('-ext-sound' "$1")
			shift
			;;
		--ext-sound-begin-usecs-epoch)
			shift
			optArgs+=('-ext-sound-begin-usecs-epoch' "$1")
			shift
			;;
		--screen-follows-mouse)
			shift
			optArgs+=('-screen-follows-mouse')
			;;
		--keep-screen-time)
			shift
			optArgs+=('-keep-screen-time' "$1")
			shift
			;;
		--screen-switch-delay)
			shift
			optArgs+=('-screen-switch-delay' "$1")
			shift
			;;
		--screen-switch-delay-and-keep-region-width)
			shift
			optArgs+=('-screen-switch-delay-and-keep-region-width' "$1")
			shift
			;;
		--overlay-windows-graphics-expose-timeout)
			shift
			optArgs+=('-overlay-windows-graphics-expose-timeout' "$1")
			shift
			;;
		--screen-num)
			shift
			optArgs+=('-screen-num' "$1")
			shift
			;;
		--overlay)
			shift
			optArgs+=('-overlay' "$1")
			shift
			;;
		--overlay-xml)
			shift
			optArgs+=('-overlay-xml' "$1")
			shift
			;;
		--xml)
			shift
			optArgs+=('-xml' "$1")
			shift
			;;
		--tempdir)
			shift
			optArgs+=('-tempdir' "$1")
			shift
			;;
		--batch)
			shift
			while [ "$1" != "" ] ; do
				batch+="$1"
				shift
			done
			;;
		--batch-target-dir)
			shift
			batchTargetDir=`echo "$1" | sed -e 's/\/$//'`
			shift
			;;
		--batch-extension)
			shift
			batchExtension="$1"
			shift
			;;
		--batch-prefix)
			shift
			batchPrefix="$1"
			shift
			;;
		--license-path)
			LICENSE_FILE="$2"
			shift
			shift
			;;
                --internal-debug)
                        internal_debug=true
                        shift
                	;;
                --valgrind)
                        valgrind=true
                        shift
                	;;
		--internal-log)
			export DEMOREC_ENABLE_LOG=1
			shift
			;;
		--enable-log )
			export DEMOREC_ENABLE_LOG=1
			shift
			;;			
		--enable-asserts )
			export DEMOREC_ENABLE_LOG=1
			export DEMOREC_ASSERT_ENABLE=1
			export DEMOREC_ASSERT_ABORT_ON_FAILURE=1
			export DEMOREC_ASSERT_LOG=onfailure
			export DEMOREC_ASSERT_LOG_TO_STDERR=onfailure
			shift
			;;					
		--core)	
			ulimit -c unlimited
			shift
		;;
		-*)
			echo "$scriptname: Illegal option $1"
			source $DEMOREC_DIR/auxbin/usageTexts.sh	
			usage_pointer
			exit 1
			;;
	esac
